Changeset 524


Ignore:
Timestamp:
Sep 20, 2005 11:29:53 PM (15 years ago)
Author:
andreasw
Message:

added further timed tasks

Location:
branches/dev
Files:
11 edited

Legend:

Unmodified
Added
Removed
  • branches/dev/Algorithm/IpPDFullSpaceSolver.cpp

    r523 r524  
    111111
    112112    // Timing of PDSystem solver starts here
    113     IpData().TimingStats().PDSystemSolver.Start();
     113    IpData().TimingStats().PDSystemSolverTotal.Start();
    114114
    115115    DBG_PRINT_VECTOR(2, "rhs_x", *rhs.x());
     
    181181        // might want to use a more explicit cue later.
    182182        res.Set(0.0);
    183         IpData().TimingStats().PDSystemSolver.End();
     183        IpData().TimingStats().PDSystemSolverTotal.End();
    184184        return;
    185185      }
     
    312312    DBG_PRINT_VECTOR(2, "res_vU", *res.v_U());
    313313
    314     IpData().TimingStats().PDSystemSolver.End();
     314    IpData().TimingStats().PDSystemSolverTotal.End();
    315315  }
    316316
     
    351351    DBG_START_METH("PDFullSpaceSolver::SolveOnce",dbg_verbosity);
    352352
     353    IpData().TimingStats().PDSystemSolverSolveOnce.Start();
     354
    353355    // Compute the right hand side for the augmented system formulation
    354356    SmartPtr<Vector> augRhs_x = rhs.x()->MakeNewCopy();
     
    414416                                    false, 0);
    415417      if (retval!=SYMSOLVER_SUCCESS) {
     418        IpData().TimingStats().PDSystemSolverSolveOnce.End();
    416419        return false;
    417420      }
     
    518521    res.AddOneVector(alpha, *sol, beta);
    519522
     523    IpData().TimingStats().PDSystemSolverSolveOnce.End();
     524
    520525    return true;
    521526  }
  • branches/dev/Algorithm/IpQualityFunctionMuOracle.cpp

    r523 r524  
    487487                   IpData().curr()->v_L()->Dim() + IpData().curr()->v_U()->Dim();
    488488
     489    IpData().TimingStats().Task1.Start();
    489490    tmp_step_x_L_->AddTwoVectors(1., step_aff_x_L, sigma, step_cen_x_L, 0.);
    490491    tmp_step_x_U_->AddTwoVectors(1., step_aff_x_U, sigma, step_cen_x_U, 0.);
     
    495496    tmp_step_v_L_->AddTwoVectors(1., step_aff_v_L, sigma, step_cen_v_L, 0.);
    496497    tmp_step_v_U_->AddTwoVectors(1., step_aff_v_U, sigma, step_cen_v_U, 0.);
     498    IpData().TimingStats().Task1.End();
    497499
    498500    // Compute the fraction-to-the-boundary step sizes
     501    IpData().TimingStats().Task2.Start();
    499502    Number tau = IpData().curr_tau();
    500503    Number alpha_primal = IpCq().slack_frac_to_the_bound(tau,
     
    509512                        *tmp_step_v_L_,
    510513                        *tmp_step_v_U_);
     514    IpData().TimingStats().Task2.End();
    511515
    512516    Number xi; // centrality measure
    513517
     518    IpData().TimingStats().Task1.Start();
    514519    tmp_slack_x_L_->AddTwoVectors(1., *IpCq().curr_slack_x_L(),
    515520                                  alpha_primal, *tmp_step_x_L_, 0.);
     
    529534    tmp_v_U_->AddTwoVectors(1., *IpData().curr()->v_U(),
    530535                            alpha_dual, *tmp_step_v_U_, 0.);
    531 
     536    IpData().TimingStats().Task1.End();
     537
     538    IpData().TimingStats().Task3.Start();
    532539    tmp_slack_x_L_->ElementWiseMultiply(*tmp_z_L_);
    533540    tmp_slack_x_U_->ElementWiseMultiply(*tmp_z_U_);
    534541    tmp_slack_s_L_->ElementWiseMultiply(*tmp_v_L_);
    535542    tmp_slack_s_U_->ElementWiseMultiply(*tmp_v_U_);
     543    IpData().TimingStats().Task3.End();
    536544
    537545    DBG_PRINT_VECTOR(2, "compl_x_L", *tmp_slack_x_L_);
     
    540548    DBG_PRINT_VECTOR(2, "compl_s_U", *tmp_slack_s_U_);
    541549
     550    IpData().TimingStats().Task4.Start();
    542551    xi = IpCq().CalcCentralityMeasure(*tmp_slack_x_L_, *tmp_slack_x_U_,
    543552                                      *tmp_slack_s_L_, *tmp_slack_s_U_);
     553    IpData().TimingStats().Task4.End();
    544554
    545555    Number dual_inf=-1.;
     
    547557    Number compl_inf=-1.;
    548558
     559    IpData().TimingStats().Task5.Start();
    549560    switch (quality_function_norm_) {
    550561      case NM_NORM_1:
     
    615626      DBG_ASSERT(false && "Unknown value for quality_function_norm_");
    616627    }
     628    IpData().TimingStats().Task5.End();
    617629
    618630    Number quality_function = dual_inf + primal_inf + compl_inf;
  • branches/dev/Algorithm/IpTimingStatistics.cpp

    r523 r524  
    2828                 FunctionEvaluations.TotalTime());
    2929    jnlst.Printf(level, category,
    30                  "PDSystemSolver......................: %10.2f\n",
    31                  PDSystemSolver.TotalTime());
     30                 "PDSystemSolverTotal.................: %10.2f\n",
     31                 PDSystemSolverTotal.TotalTime());
     32    jnlst.Printf(level, category,
     33                 "PDSystemSolverSolveOnce.............: %10.2f\n",
     34                 PDSystemSolverSolveOnce.TotalTime());
    3235    jnlst.Printf(level, category,
    3336                 "LinearSystemScaling.................: %10.2f\n",
     
    4043                 LinearSystemFactorization.TotalTime());
    4144    jnlst.Printf(level, category,
     45                 "LinearSystemBackSolve...............: %10.2f\n",
     46                 LinearSystemBackSolve.TotalTime());
     47    jnlst.Printf(level, category,
    4248                 "QualityFunctionSearch...............: %10.2f\n",
    4349                 QualityFunctionSearch.TotalTime());
     
    4551                 "TryCorrector........................: %10.2f\n",
    4652                 TryCorrector.TotalTime());
     53    jnlst.Printf(level, category,
     54                 "Task1...............................: %10.2f\n",
     55                 Task1.TotalTime());
     56    jnlst.Printf(level, category,
     57                 "Task2...............................: %10.2f\n",
     58                 Task2.TotalTime());
     59    jnlst.Printf(level, category,
     60                 "Task3...............................: %10.2f\n",
     61                 Task3.TotalTime());
     62    jnlst.Printf(level, category,
     63                 "Task4...............................: %10.2f\n",
     64                 Task4.TotalTime());
     65    jnlst.Printf(level, category,
     66                 "Task5...............................: %10.2f\n",
     67                 Task5.TotalTime());
    4768  }
    4869} // namespace Ipopt
  • branches/dev/Algorithm/IpTimingStatistics.hpp

    r523 r524  
    160160    TimedTask OverallAlgorithm;
    161161    TimedTask FunctionEvaluations;
    162     TimedTask PDSystemSolver;
     162    TimedTask PDSystemSolverTotal;
     163    TimedTask PDSystemSolverSolveOnce;
    163164    TimedTask LinearSystemScaling;
    164165    TimedTask LinearSystemSymbolicFactorization;
    165166    TimedTask LinearSystemFactorization;
     167    TimedTask LinearSystemBackSolve;
    166168    TimedTask QualityFunctionSearch;
    167169    TimedTask TryCorrector;
     170
     171    TimedTask Task1;
     172    TimedTask Task2;
     173    TimedTask Task3;
     174    TimedTask Task4;
     175    TimedTask Task5;
     176    TimedTask Task6;
    168177    //@}
    169178
  • branches/dev/Algorithm/LinearSolvers/IpMa27TSolverInterface.cpp

    r523 r524  
    445445  {
    446446    DBG_START_METH("Ma27TSolverInterface::Backsolve",dbg_verbosity);
     447    IpData().TimingStats().LinearSystemBackSolve.Start();
    447448
    448449    ipfint N=dim_;
     
    471472    delete [] IW1;
    472473
     474    IpData().TimingStats().LinearSystemBackSolve.End();
    473475    return SYMSOLVER_SUCCESS;
    474476  }
  • branches/dev/Common/IpDebug.hpp

    r468 r524  
    2626# define DBG_ASSERT_EXCEPTION(__condition, __except_type, __msg) \
    2727   ASSERT_EXCEPTION( (__condition), __except_type, __msg);
     28# define DBG_DO(__cmd) __cmd
    2829#else
    2930# define DBG_ASSERT(test)
    3031# define DBG_ASSERT_EXCEPTION(__condition, __except_type, __msg)
     32# define DBG_DO(__cmd)
    3133#endif
    3234
  • branches/dev/Common/IpJournalist.hpp

    r515 r524  
    6666    J_DOCUMENTATION,
    6767    J_NLP,
     68    J_TIMING_STATISTICS,
    6869    J_LAST_CATEGORY
    6970  };
  • branches/dev/Interfaces/IpIpoptApplication.cpp

    r519 r524  
    250250#endif
    251251
     252    roptions->AddStringOption2(
     253      "print_timing_statistics",
     254      "Switch to print timing statistics.",
     255      "no",
     256      "no", "don't print statistics",
     257      "yes", "print all timing statistics",
     258      "If selected, the program will print the CPU usage (user time) for "
     259      "selected tasks.");
     260
    252261    roptions->SetRegisteringCategory("NLP Scaling");
    253262    roptions->AddStringOption3(
     
    470479                     p2ip_nlp->h_evals());
    471480
     481      // Write timing statistics information
     482      bool print_timing_statistics;
     483      options_->GetBoolValue("print_timing_statistics",
     484                             print_timing_statistics, "");
     485      if (print_timing_statistics) {
     486        p2ip_data->TimingStats().PrintAllTimingStatistics(*jnlst_, J_SUMMARY,
     487            J_TIMING_STATISTICS);
     488      }
     489
    472490      // Write EXIT message
    473491      if (status == SUCCESS) {
  • branches/dev/configure

    r522 r524  
    79407940
    79417941for ac_header in float.h
     7942do
     7943as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     7944if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7945  echo "$as_me:$LINENO: checking for $ac_header" >&5
     7946echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7947if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7948  echo $ECHO_N "(cached) $ECHO_C" >&6
     7949fi
     7950echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7951echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7952else
     7953  # Is the header compilable?
     7954echo "$as_me:$LINENO: checking $ac_header usability" >&5
     7955echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     7956cat >conftest.$ac_ext <<_ACEOF
     7957/* confdefs.h.  */
     7958_ACEOF
     7959cat confdefs.h >>conftest.$ac_ext
     7960cat >>conftest.$ac_ext <<_ACEOF
     7961/* end confdefs.h.  */
     7962$ac_includes_default
     7963#include <$ac_header>
     7964_ACEOF
     7965rm -f conftest.$ac_objext
     7966if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7967  (eval $ac_compile) 2>conftest.er1
     7968  ac_status=$?
     7969  grep -v '^ *+' conftest.er1 >conftest.err
     7970  rm -f conftest.er1
     7971  cat conftest.err >&5
     7972  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7973  (exit $ac_status); } &&
     7974         { ac_try='test -z "$ac_cxx_werror_flag"
     7975                         || test ! -s conftest.err'
     7976  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7977  (eval $ac_try) 2>&5
     7978  ac_status=$?
     7979  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7980  (exit $ac_status); }; } &&
     7981         { ac_try='test -s conftest.$ac_objext'
     7982  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7983  (eval $ac_try) 2>&5
     7984  ac_status=$?
     7985  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7986  (exit $ac_status); }; }; then
     7987  ac_header_compiler=yes
     7988else
     7989  echo "$as_me: failed program was:" >&5
     7990sed 's/^/| /' conftest.$ac_ext >&5
     7991
     7992ac_header_compiler=no
     7993fi
     7994rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7995echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     7996echo "${ECHO_T}$ac_header_compiler" >&6
     7997
     7998# Is the header present?
     7999echo "$as_me:$LINENO: checking $ac_header presence" >&5
     8000echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     8001cat >conftest.$ac_ext <<_ACEOF
     8002/* confdefs.h.  */
     8003_ACEOF
     8004cat confdefs.h >>conftest.$ac_ext
     8005cat >>conftest.$ac_ext <<_ACEOF
     8006/* end confdefs.h.  */
     8007#include <$ac_header>
     8008_ACEOF
     8009if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     8010  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     8011  ac_status=$?
     8012  grep -v '^ *+' conftest.er1 >conftest.err
     8013  rm -f conftest.er1
     8014  cat conftest.err >&5
     8015  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8016  (exit $ac_status); } >/dev/null; then
     8017  if test -s conftest.err; then
     8018    ac_cpp_err=$ac_cxx_preproc_warn_flag
     8019    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     8020  else
     8021    ac_cpp_err=
     8022  fi
     8023else
     8024  ac_cpp_err=yes
     8025fi
     8026if test -z "$ac_cpp_err"; then
     8027  ac_header_preproc=yes
     8028else
     8029  echo "$as_me: failed program was:" >&5
     8030sed 's/^/| /' conftest.$ac_ext >&5
     8031
     8032  ac_header_preproc=no
     8033fi
     8034rm -f conftest.err conftest.$ac_ext
     8035echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     8036echo "${ECHO_T}$ac_header_preproc" >&6
     8037
     8038# So?  What about this header?
     8039case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     8040  yes:no: )
     8041    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     8042echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     8043    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     8044echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     8045    ac_header_preproc=yes
     8046    ;;
     8047  no:yes:* )
     8048    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     8049echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     8050    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     8051echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     8052    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     8053echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     8054    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     8055echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     8056    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     8057echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     8058    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     8059echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     8060    (
     8061      cat <<\_ASBOX
     8062## ----------------------------------------- ##
     8063## Report this to coin-ipopt@www-124.ibm.com ##
     8064## ----------------------------------------- ##
     8065_ASBOX
     8066    ) |
     8067      sed "s/^/$as_me: WARNING:     /" >&2
     8068    ;;
     8069esac
     8070echo "$as_me:$LINENO: checking for $ac_header" >&5
     8071echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     8072if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8073  echo $ECHO_N "(cached) $ECHO_C" >&6
     8074else
     8075  eval "$as_ac_Header=\$ac_header_preproc"
     8076fi
     8077echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     8078echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     8079
     8080fi
     8081if test `eval echo '${'$as_ac_Header'}'` = yes; then
     8082  cat >>confdefs.h <<_ACEOF
     8083#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     8084_ACEOF
     8085
     8086fi
     8087
     8088done
     8089
     8090          fi
     8091
     8092for ac_header in ctime
     8093do
     8094as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     8095if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8096  echo "$as_me:$LINENO: checking for $ac_header" >&5
     8097echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     8098if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8099  echo $ECHO_N "(cached) $ECHO_C" >&6
     8100fi
     8101echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     8102echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     8103else
     8104  # Is the header compilable?
     8105echo "$as_me:$LINENO: checking $ac_header usability" >&5
     8106echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     8107cat >conftest.$ac_ext <<_ACEOF
     8108/* confdefs.h.  */
     8109_ACEOF
     8110cat confdefs.h >>conftest.$ac_ext
     8111cat >>conftest.$ac_ext <<_ACEOF
     8112/* end confdefs.h.  */
     8113$ac_includes_default
     8114#include <$ac_header>
     8115_ACEOF
     8116rm -f conftest.$ac_objext
     8117if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     8118  (eval $ac_compile) 2>conftest.er1
     8119  ac_status=$?
     8120  grep -v '^ *+' conftest.er1 >conftest.err
     8121  rm -f conftest.er1
     8122  cat conftest.err >&5
     8123  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8124  (exit $ac_status); } &&
     8125         { ac_try='test -z "$ac_cxx_werror_flag"
     8126                         || test ! -s conftest.err'
     8127  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     8128  (eval $ac_try) 2>&5
     8129  ac_status=$?
     8130  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8131  (exit $ac_status); }; } &&
     8132         { ac_try='test -s conftest.$ac_objext'
     8133  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     8134  (eval $ac_try) 2>&5
     8135  ac_status=$?
     8136  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8137  (exit $ac_status); }; }; then
     8138  ac_header_compiler=yes
     8139else
     8140  echo "$as_me: failed program was:" >&5
     8141sed 's/^/| /' conftest.$ac_ext >&5
     8142
     8143ac_header_compiler=no
     8144fi
     8145rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     8146echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     8147echo "${ECHO_T}$ac_header_compiler" >&6
     8148
     8149# Is the header present?
     8150echo "$as_me:$LINENO: checking $ac_header presence" >&5
     8151echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     8152cat >conftest.$ac_ext <<_ACEOF
     8153/* confdefs.h.  */
     8154_ACEOF
     8155cat confdefs.h >>conftest.$ac_ext
     8156cat >>conftest.$ac_ext <<_ACEOF
     8157/* end confdefs.h.  */
     8158#include <$ac_header>
     8159_ACEOF
     8160if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     8161  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     8162  ac_status=$?
     8163  grep -v '^ *+' conftest.er1 >conftest.err
     8164  rm -f conftest.er1
     8165  cat conftest.err >&5
     8166  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8167  (exit $ac_status); } >/dev/null; then
     8168  if test -s conftest.err; then
     8169    ac_cpp_err=$ac_cxx_preproc_warn_flag
     8170    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     8171  else
     8172    ac_cpp_err=
     8173  fi
     8174else
     8175  ac_cpp_err=yes
     8176fi
     8177if test -z "$ac_cpp_err"; then
     8178  ac_header_preproc=yes
     8179else
     8180  echo "$as_me: failed program was:" >&5
     8181sed 's/^/| /' conftest.$ac_ext >&5
     8182
     8183  ac_header_preproc=no
     8184fi
     8185rm -f conftest.err conftest.$ac_ext
     8186echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     8187echo "${ECHO_T}$ac_header_preproc" >&6
     8188
     8189# So?  What about this header?
     8190case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     8191  yes:no: )
     8192    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     8193echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     8194    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     8195echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     8196    ac_header_preproc=yes
     8197    ;;
     8198  no:yes:* )
     8199    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     8200echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     8201    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     8202echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     8203    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     8204echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     8205    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     8206echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     8207    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     8208echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     8209    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     8210echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     8211    (
     8212      cat <<\_ASBOX
     8213## ----------------------------------------- ##
     8214## Report this to coin-ipopt@www-124.ibm.com ##
     8215## ----------------------------------------- ##
     8216_ASBOX
     8217    ) |
     8218      sed "s/^/$as_me: WARNING:     /" >&2
     8219    ;;
     8220esac
     8221echo "$as_me:$LINENO: checking for $ac_header" >&5
     8222echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     8223if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8224  echo $ECHO_N "(cached) $ECHO_C" >&6
     8225else
     8226  eval "$as_ac_Header=\$ac_header_preproc"
     8227fi
     8228echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     8229echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     8230
     8231fi
     8232if test `eval echo '${'$as_ac_Header'}'` = yes; then
     8233  cat >>confdefs.h <<_ACEOF
     8234#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     8235_ACEOF
     8236
     8237fi
     8238
     8239done
     8240
     8241          if test ! "$ac_cv_header_ctime" = "yes"; then
     8242
     8243for ac_header in time.h
    79428244do
    79438245as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
  • branches/dev/configure.ac

    r522 r524  
    741741MY_CHECK_CXX_HEADER(stdarg)
    742742MY_CHECK_CXX_HEADER(float)
     743MY_CHECK_CXX_HEADER(time)
    743744
    744745###################
  • branches/dev/inc/config.h.in

    r465 r524  
    4141/* Define to 1 if you have the <cstdio> header file. */
    4242#undef HAVE_CSTDIO
     43
     44/* Define to 1 if you have the <ctime> header file. */
     45#undef HAVE_CTIME
    4346
    4447/* Define to 1 if you have the <ctype.h> header file. */
     
    9699#undef HAVE_TAUCS
    97100
     101/* Define to 1 if you have the <time.h> header file. */
     102#undef HAVE_TIME_H
     103
    98104/* Define to 1 if you have the <unistd.h> header file. */
    99105#undef HAVE_UNISTD_H
Note: See TracChangeset for help on using the changeset viewer.